<!DOCTYPE html>
<html>
    
<head>
	<title>Login</title>
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.1/css/all.css" integrity="sha384-gfdkjb5BdAXd+lj+gudLWI+BXq4IuLW5IT+brZEZsLFm++aCMlF1V92rMkPaX4PP" crossorigin="anonymous">
	<link rel="stylesheet" href="./style/style.css">
</head>
<body>
	<div class="container h-100">
		<div class="d-flex justify-content-center h-100">
			<div class="user_card">
				<div class="d-flex justify-content-center">
					<div class="brand_logo_container">
						<img src="./img/lock-icon.png" class="brand_logo" alt="Logo">
					</div>
				</div>
				<div class="d-flex justify-content-center form_container">
					<form id="login-form">
						<div id="incorrect-details-entered" style="display:none" class="alert alert-danger">
						  	<strong>Incorrect username or password</strong>
						</div>
						<div class="input-group mb-3">
							<div class="input-group-append">
								<span class="input-group-text"><i class="fas fa-user"></i></span>
							</div>
							<input type="text" name="uname" class="form-control input_user" value="" placeholder="username">
						</div>
						<div class="input-group mb-2"type="submit">
							<div class="input-group-append">
								<span class="input-group-text"><i class="fas fa-key"></i></span>
							</div>
							<input type="password" name="pass" class="form-control input_pass" value="" placeholder="password">
						</div>
						<div class="form-group">
							<div class="custom-control custom-checkbox">
								<input type="checkbox" class="custom-control-input" id="customControlInline">
								<label class="custom-control-label" for="customControlInline">Remember me</label>
							</div>
						</div>
					</form>
				</div>
				<div class="d-flex justify-content-center mt-3 login_container">
					<button type="button" id="form-submit-btn" name="button" class="btn login_btn">Login</button>
				</div>
				<div class="mt-4">
					<div class="d-flex justify-content-center links">
						Don't have an account? <a href="#" class="ml-2">Sign Up</a>
					</div>
					<div class="d-flex justify-content-center links">
						<a href="#">Forgot your password?</a>
					</div>
				</div>
			</div>
		</div>
	</div>
</body>
<script type="text/javascript">
	$('#form-submit-btn').click( function (event) {
		$('#login-form').submit();
	});
</script>
<script type="text/javascript">
	$('#login-form').keydown(function(event) {
		var key = event.which;
		if (key == 13) {
			$('#login-form').submit();
		}
	});
</script>
<script type="text/javascript">	

	$('#login-form').submit( function (event) {
		event.preventDefault();
		details_entered = $(this).serializeArray();

		var uname = details_entered[0].value.toLowerCase();
		var pass = details_entered[1].value.toLowerCase();

		if(uname === "parent" && pass ==="admin") {
			window.location.replace("./admin_panel.html")
		} else if (uname === "kid" && pass === "kid") {
			window.location.replace("./child_user.html")
		} else {
			$('#incorrect-details-entered').show();
		}
	});
</script>
</html>
